# Add complaints

Request body is expected to be a valid JSON encoded sting containing up to 1000 complaint records or a single complaint record as application/form-data

Endpoint: POST /v3/{domain_name}/complaints
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `domain_name` (string, required)
    Domain to add the complaint to

## Header parameters:

  - `Content-Type` (string, required)
    Content-Type must be `application/json` if inserting using JSON, no header necessary for form-data insertion

## Request fields (application/json):

  - `address` (string, required)
    Email address for the original recipient

  - `created_at` (object, required)
    Timestamp for when the Complaint event was received in RFC822 format

## Request fields (application/form-data):

  - `address` (string, required)
    Valid email address

  - `created_at` (string)
    Timestamp of a complaint event in RFC2822 format (optional, default: current time)

## Request examples:

  - `Example` (unknown)

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

## Response 400:

  - `400` (unknown)
    A 400 response

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 200 examples:

  - `Example` (unknown)

## Response 400 examples:

  - `Example` (unknown)

